Subject: Re: ucc_uart: add support for Freescale QUICCEngine UART

From: Arnd Bergmann <[email-masked]>
Date: Wed, 5 Dec 2007 00:56:39 +0100

On Wednesday 05 December 2007, Timur Tabi wrote:
> Arnd Bergmann wrote:
> 
> > You can argue that the QS is really a DMA device, but in that case you
> > should convert the driver to use the DMA mapping interfaces correctly,
> > which I would consider overkill.
> 
> I'm confused.  I'm already calling dma_alloc_coherent() and getting a dma_addr_t 
> back.  Why do I need to use mapping functions to convert between virtual and 
> physical/bus addresses?

No, I'm sorry but I'm the one who was confused. The problem I saw was that
you return something offset from "bd_phys" as a dma_addr_t. This would be
a lot easier if you had called it bd_bus or bd_dma instead of bd_phys, but
your code looks absolutely correct upon closer inspection.

	Arnd <><